@import url(style/variables.css);

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    font-family: 'Changa', sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: auto;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

.main-page-h1 {
    position: relative;
    color: var(--primary-colour);
    font-family: bolder;
    margin: 100px;
    text-align: center;
    text-decoration: underline;
}

.header-content-main {
    background-image: url(../Images/background---.jpg);
    position: relative;
    display: inline-block;
    width: 100%;
    height: 1045px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.line {
    height: 1.4px;
    width: 100%;
    background-color: var(--primary-button-colour);
    margin-top: 90px;
    box-shadow: var(--secoundary-box-shadow);
    margin: 100px;
}

.science-room-ancor {
    position: relative;
    border-style: groove;
    box-shadow: var(--primary-orange-colour);
    width: 100%;
}

.science-room-image{
    position: relative;
    width: 100%;
    height: auto;
}

main {
    background-color: var(--primary-background-colour);
    font-family: 'Changa', sans-serif;
    background-size: cover;
    background-position: center;
    justify-content: center;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: auto;
    overflow-x: hidden;
    align-items: center;
}

.main-textbox {
    background-color: #424242c5;
    width: 90%;
    max-width: 400px;
    border-radius: 20px;
    position: absolute;
    top: 60%;
    right: 5%;
    transform: translateY(-50%);
    font-size: clamp(14px, 2vw, 18px);
    color: var(--primary-colour);
    padding: 20px;
    box-shadow: var(--primary-box-shadow);
    text-align: center;
}

.h1-main {
    font-size: bold clamp(24px, 3vw, 32px);
    margin: 10px 0;
    width: 100%;
}

.p1-main {
    font-size: clamp(16px, 2.5vw, 20px);
    margin: 10px 0;
}

.member-frame {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    margin: 100px;
}

.member-image {
    max-width: 35%;
    min-width: 15%;
    height: auto;
    padding: 10px;
    margin: 0;
    object-fit: cover;
    box-shadow: var(--secoundary-box-shadow);
}

.member-text-box {
    display: flex;
    flex-direction: column;
    position: relative;
    color: var(--secoundary-colour);
    background-color: var(--secondary-gray-color);
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    border-radius: var(--primary-border-radius);
    width: 50%;
    margin: 0 auto;
    margin-bottom: 150px;
    padding: 30px;
    line-height: 30px;
    box-shadow: var(--secoundary-box-shadow);
}

.member-text {
    font-size: clamp(26px, 2.6vw, 30px);
}

.member-p1 {
    font-size: clamp(16px, 2.6vw, 20px);
    line-height: 30px;
}

.key-hole-image {
    width: 20%;
    min-width: 5%;
    height: auto;
    padding: 10px;
    margin: 0;
    object-fit: cover;
    border-radius: 500px;
}

.key-hole-image-frame {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    margin: 100px;
}

.key-hole-frame {
    text-align: center;
    justify-content: center;
    position: relative;
    color: var(--primary-colour);
    background-color: var(--secoundary-green-colour);
    width: 50%;
    border-radius: var(--primary-border-radius);
    margin-bottom: 150px;
    padding: 50px;
}

.key-hole-h1 {
    font-size: clamp(20px, 2.6vw, 30px);
    line-height: 50px;
    color: var(--secoundary-colour);
    text-decoration: underline;
    padding-bottom: 60px;
}

.key-hole-p1 {
    font-size: clamp(20px, 1.8vw, 20px);
    line-height: 30px;
    width: 300px;
    color: var(--secoundary-colour);

}

.button-frame {
    position: relative;
    width: 100%;
    height: 3rem;
    justify-content: center;
    align-items: center;
    padding: 10px;
    font-family: sans-serif;
}

.sign-up-main {
    position: relative;
    width: 50%;
    height: auto;
    padding: 10px;
    border-radius: 10px;
    background-color: var(--primary-menu-color);
    text-align: center;
    box-shadow: var(--secoundary-box-shadow);
}

.science-room-frame {
    width: 20%;
    height: 45px;
    margin-left: 80%;
}

.main-science-button1 {
    position: relative;
    width: 100%;
    height: auto;
    padding: 20px;
    border-radius: 10px;
    background-color: var(--primary-menu-color);
    text-align: center;
    box-shadow: var(--secoundary-box-shadow);
}

.main-button1 {
    position: relative;
    width: 100%;
    height: auto;
    padding: 20px;
    margin: 20px;
    border-radius: 10px;
    background-color: var(--primary-menu-color);
    text-align: center;
    box-shadow: var(--secoundary-box-shadow);
}

.nav-board {
  display: flex;
  flex-direction: row;
  gap: 100px;
  border-radius: 2px;
  justify-content: center;
  width: 100%;
  height: auto;
  padding: 40px;
  overflow: hidden;
}

.nav-frames {
    display: flex;
    flex-direction: column;
    width: 230px;
    max-height: 700px;
    text-decoration: none;
    border: 2px solid var(--secoundary-colour);
    border-radius: var(--primary-border-radius);
    overflow: hidden;
    box-shadow: var(--secoundary-box-shadow);
    transition: transform 0.3s ease-in-out;
    
}

.nav-frames:hover{
    transform: scale(1.05);
}

.top-part {
    height: 40%;
    width: 100%;
}

.top-part img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.middle-part {
    height: 20%;
    width: 100%;
    background-color: var(--primary-button-colour);
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px bold var(--secoundary-colour);
}

.middle-part h2 {
    color: var(--primary-colour);
    font-size: bolder;
    margin: 0;
    padding: 10px;
}


.bottom-part {
    height: 40%;
    width: 100%;
}

.bottom-part img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.main-button1:hover {
    background-color: var(--secondary-orange-colour);
    color: var(--secoundary-colour);
    border-color: var(--secoundary-color);
    cursor: pointer;
    transform: scale(1.1);
}

.main-science-button1:hover {
    background-color: var(--secondary-orange-colour);
    color: var(--secoundary-colour);
    border-color: var(--secoundary-color);
    cursor: pointer;
    transform: scale(1.1);
}

.sign-up-main:hover {
    cursor: pointer;
    transform: scale(1.1);
    color: var(--secoundary-colour);
    box-shadow: var(--blue-text-shadow);
}

@media (max-width: 1400px) {

    .main-textbox {
        max-width: 300px;
        right: 3%;
    }

    .p1-main {
        font-size: clamp(18px, 5vw, 20px);
    }

    .h1-main {
        font-size: clamp(20px, 6vw, 26px);
    }
}

/* Responsive Adjustments */
@media (max-width: 1085px) {

    .header-content {
        position: relative;
        display: inline-block;
        width: 100%;
        height: 533px;
    }

    .header-img {
        width: 100%;
        height: 533px;
        object-fit: cover;
        overflow: hidden;
        image-rendering:optimizeQuality;
    }

    .main-textbox {
        max-width: 300px;
        right: 3%;
    }

    .p1-main {
        font-size: clamp(12px, 3vw, 16px);
    }

    .h1-main {
        font-size: clamp(16px, 3vw, 26px);
    }
}

@media (max-width: 768px) {

    .main-textbox {
        right: 2%;
        padding: 15px;
    }

    .main-textbox {
        max-width: 45%;
    }

    .p1-main {
        font-size: clamp(10px, 2vw, 14px);
    }

    .h1-main {
        font-size: clamp(14px, 2.5vw, 20px);
    }
}

@media (max-width: 480px) {

    .museum-icon {
        height: 60px;
        width: auto;
    }

    .main-textbox {
        top: 55%;
        padding: 10px;
    }
}